Patch runtime resources or policy
const url = 'http://127.0.0.1:8080/v1/runtimes/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"egress_policy":{"allowed_hosts":["example"],"enabled":true},"resources":{"limits":{"memory_mib":1},"requests":{"memory_mib":1}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url http://127.0.0.1:8080/v1/runtimes/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "egress_policy": { "allowed_hosts": [ "example" ], "enabled": true }, "resources": { "limits": { "memory_mib": 1 }, "requests": { "memory_mib": 1 } } }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Runtime UUID or display name.
Runtime UUID or display name.
Request Body required
Section titled “Request Body required ”Runtime patch request.
object
object
Allowed host names or wildcard patterns.
Whether egress interception is enabled.
object
Resource limits.
object
Maximum memory in MiB.
Resource requests.
object
Requested baseline memory in MiB.
Example generated
{ "egress_policy": { "allowed_hosts": [ "example" ], "enabled": true }, "resources": { "limits": { "memory_mib": 1 }, "requests": { "memory_mib": 1 } }}Responses
Section titled “ Responses ”Response envelope.
Response envelope.
object
Runtime response object.
object
User-chosen display name.
Egress policy.
object
Allowed host names or wildcard patterns.
Whether egress interception is enabled.
Stable runtime UUID.
Active ingress specs.
Public ingress forwarding rule.
object
Application-layer protocol.
Port inside the runtime VM.
Runtime resource state.
object
Resource limits.
object
Maximum memory in MiB.
Resource requests.
object
Requested baseline memory in MiB.
Requested virtual CPUs.
Runtime status.
Example
{ "data": { "ingress_specs": [ { "protocol": "http" } ], "status": "running" }}Missing, malformed, or rejected bearer token
object
object
Example
{ "error": { "code": "already_exists" }}The bearer token is not allowed to perform this action
object
object
Example
{ "error": { "code": "already_exists" }}The requested resource was not found
object
object
Example
{ "error": { "code": "already_exists" }}The request conflicts with current resource state
object
object
Example
{ "error": { "code": "already_exists" }}Validation or application error
object
object
Example
{ "error": { "code": "already_exists" }}Rate limit exceeded
object
object
Example
{ "error": { "code": "already_exists" }}Upstream service is unavailable
object
object
Example
{ "error": { "code": "already_exists" }}Upstream request timed out
object
object
Example
{ "error": { "code": "already_exists" }}default
Section titled “default ”Error response
object
object
Example
{ "error": { "code": "already_exists" }}